
JOMP=../lib/jomp1.0b.jar
declare -a benchmarks=("PDcorrelationJomp" "PDcovarianceJomp" "PL2mmJomp" "PL3mmJomp" "PLataxJomp" 
			"PLbicgJomp" "PLcholeskyJomp" "PLdoitgenJomp" "PLdurbinJomp" "PLdynprogJomp" 
			"PLgemmJomp" "PLgemverJomp" "PLgesummvJomp" "PLgramschmidtJomp" "PLludcmpJomp" 
			"PLluJomp" "PLmvtJomp" "PLsymmJomp" "PLsyr2kJomp" "PLsyrkJomp" 
			"PSfdtd_2dJomp" "PSfdtd_apmlJomp" "PSjacobi_1d_imperJomp" "PSjacobi_2d_imperJomp" "PSseidel_2dJomp" 
			"PLtrisolvJomp" "PLtrmmJomp" "PMfloydWarshallJomp" "PMreg_detectJomp" "PSadiJomp")

# remove old files
rm *.java
rm *.class

## compile jomp to java
for BENCHMARK in "${benchmarks[@]}"
do
    echo "benchmark" $BENCHMARK "is compiling to java.."
    java -cp $JOMP:. jomp.compiler.Jomp $BENCHMARK
done

## compile java to class
for BENCHMARK in "${benchmarks[@]}"
do
    echo "benchmark" $BENCHMARK "is compiling to class.."
    javac -cp $JOMP:. $BENCHMARK.java
done

