#!/bin/sh
EXEFOLDER=exe
MAXTHREADS=16
RESULTS="large-resuls.csv"
FILE=$EXEFOLDER/$RESULTS
#create new result file
if [ -f  $FILE ];
then
   rm $FILE
else
   touch $FILE
   echo "benchmark, nthreads, time" >> $FILE
fi


for BENCHMARK in $EXEFOLDER/*
do
  echo "benchmark" $BENCHMARK "is running.."
  for NUM_THREADS in $(seq 1 $MAXTHREADS);
  do
    export OMP_NUM_THREADS=$NUM_THREADS
    echo "current number of threads threads" $OMP_NUM_THREADS
    echo "$BENCHMARK, $NUM_THREADS, `$BENCHMARK`" >> $FILE
  done
done


